package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 场馆图片
 *
 * @author lihong
 * @since 2018-08-02
 */
public class VenueImage implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 场馆图片
     */
    private String url;

    /**
     * 场馆类型
     */
    private Integer venueType;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置场馆图片
     *
     * @param url 场馆图片
     */
    public void setUrl(String url){
        this.url = url;
    }

    /**
     * 获取场馆图片
     *
     * @return 场馆图片
     */
    public String getUrl(){
        return url;
    }


    /**
     * 设置场馆类型
     *
     * @param venueType 场馆类型
     */
    public void setVeneuType(Integer venueType){
        this.venueType = venueType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVeneuType(){
        return venueType;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}